Skip to main content
GET
/
app-fees
/
{wallet}
/
balances
cURL
curl --request GET \
  --url https://api.relay.link/app-fees/{wallet}/balances
{
  "balances": [
    {
      "currency": {
        "chainId": 8453,
        "address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "symbol": "USDC",
        "name": "USD Coin",
        "decimals": 6,
        "metadata": {
          "logoURI": "https://ethereum-optimism.github.io/data/USDC/logo.png",
          "verified": false,
          "isNative": false
        }
      },
      "amount": "30754920",
      "amountFormatted": "30.75492",
      "amountUsd": "30.901612",
      "minimumAmount": "30454920"
    }
  ],
  "totalBalanceUsd": 123,
  "outstandingFastFillBalanceUsd": 123,
  "availableBalanceUsd": 123
}
What are app fees?

Path Parameters

wallet
string
required

Wallet to get the app fees for

Response

Default Response

balances
object[]

An array of app fee balances across multiple currencies

totalBalanceUsd
number

Total app fee balance in USD across all currencies.

outstandingFastFillBalanceUsd
number

Outstanding fast fill balance in USD that has not yet settled. This amount is deducted from the available collateral for new fast fills and claims.

availableBalanceUsd
number

Total balance minus outstanding fast fill balance. The effective collateral available for new fast fills and claims.